# Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

## Development Environment

To add a feature, fix a bug, or to run a development build of Slipsquare
on your machine, clone down the repo and run:

    $ bundle

You can then execute slipsquare:

    $ bundle exec slipsquare [command]

As well as run the tests:

    $ bundle exec rspec

To install the gem on your system from source:

    $ bundle exec rake install

If you need help with your environment, feel free to open an issue.
