require 'spec_helper'

describe Slipsquare::CLI do
  include_context "spec"

  describe "delete" do
    it "deletes a folder" do

      stub_request(:get, "https://api.dropbox.com/1/metadata/dropbox/foo?").
         with(:headers => {'Accept'=>'*/*', 'Authorization'=>/OAuth oauth_consumer_key="#{app_key}", oauth_nonce="\S+", oauth_signature="\S+", oauth_signature_method="HMAC-SHA1", oauth_timestamp="\S+", oauth_token="#{app_token}", oauth_version="1.0"/, 'User-Agent'=>'OAuth gem v0.4.7'}).
         to_return(:status => 200, :body => fixture('find_foo_directory'))

      @cli.delete('foo')
      expect($stdout.string).to eq <<-eos
Deleting file on Dropbox...
To be implemented...
      eos
    end

  end

end

